Page MenuHomeFreeBSD

lang/erlang-runtime1*: add expirations for databases/riak & databases/couchdb
ClosedPublic

Authored by dch on May 28 2019, 8:06 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Nov 25, 1:15 PM
Unknown Object (File)
Fri, Nov 10, 1:10 PM
Unknown Object (File)
Tue, Nov 7, 11:50 PM
Unknown Object (File)
Tue, Nov 7, 7:52 PM
Unknown Object (File)
Tue, Oct 31, 8:01 PM
Unknown Object (File)
Oct 30 2023, 9:08 PM
Unknown Object (File)
Oct 30 2023, 9:04 PM
Unknown Object (File)
Oct 30 2023, 9:04 PM
Subscribers
None

Details

Summary

deprecate all the things. Only supported OTP releases are OTP-21+

transfer ownership of databases/riak & its ancient lang/erlang-runtime15
to Ruslan, as agreed via email.

Test Plan

checked manually for erlang-runtime1* dependencies

Diff Detail

Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 24567
Build 23353: arc lint + arc unit

Event Timeline

This revision is now accepted and ready to land.May 28 2019, 8:22 PM

Should I also bump PORTREVISION here? It seems unnecessary but without it, users won't actually get any notifications until expiry date.

In D20449#441476, @dch wrote:

Should I also bump PORTREVISION here? It seems unnecessary but without it, users won't actually get any notifications until expiry date.

Sounds reasonable - I know about people still on 18.x who would benefit from a warning :)

bump PORTREVISIONS to ensure users get a warning

This revision now requires review to proceed.May 28 2019, 9:02 PM

I don't think users will get a warning when installing the package. I also don't think there is any change in the package, so bumping PORTREVISION is probably not necessary.

lang/erlang-runtime15/Makefile
12

Is this change intentional?

If you do want users to get a warning, you could bump PORTREVSION *AND* add a pkg-message.

lang/erlang-runtime15/Makefile
12

I see this in your summary now.

I agree with the changes. Thanks, Dave!

This revision is now accepted and ready to land.Jul 1 2019, 1:35 PM

Is this good to go? ๐Ÿ‘€

This revision was automatically updated to reflect the committed changes.
dch marked 2 inline comments as done.